Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.conf
Class FetchModeValue

    java.lang.Object
      org.apache.openjpa.lib.conf.Value
          org.apache.openjpa.lib.conf.IntValue
              org.apache.openjpa.jdbc.conf.FetchModeValue

All Implemented Interfaces:
  Cloneable

    public class FetchModeValue

extends IntValue

Value type used to represent fetch modes. This type is defined separately so that it can be used both in the global configuration and in class metadata with the same encapsulated configuration.

Author:
  Abe White

Field Summary
`static String` | `EAGER_JOIN`
`static String` | `EAGER_NONE`
`static String` | `EAGER_PARALLEL`

Fields inherited from class org.apache.openjpa.lib.conf.Value
`INVISIBLE`

Constructor Summary
`FetchModeValue(String prop)`

Method Summary

Methods inherited from class org.apache.openjpa.lib.conf.IntValue
`get, getInternalString, getValueType, set, setInternalObject, setInternalString`

Methods inherited from class org.apache.openjpa.lib.conf.Value
`addEquivalentKey, addListener, alias, alias, assertChangeable, clone, equals, getAliases, getDefault, getEquivalentKeys, getInstantiatingGetter, getListeners, getLoadKey, getOriginalValue, getProperty, getPropertyKeys, getScope, getString, hashCode, hide, isAliasListComprehensive, isDynamic, isHidden, isPrivate, makePrivate, matches, removeListener, setAlias, setAlias, setAliases, setAliasListComprehensive, setDefault, setDynamic, setInstantiatingGetter, setLoadKey, setObject, setProperty, setScope, setString, toString, unalias, unalias, valueChanged`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### EAGER_NONE

    public static final String EAGER_NONE

See Also:
  Constant Field Values

### EAGER_JOIN

    public static final String EAGER_JOIN

See Also:
  Constant Field Values

### EAGER_PARALLEL

    public static final String EAGER_PARALLEL

See Also:
  Constant Field Values

Constructor Detail

### FetchModeValue

    public FetchModeValue(String prop)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.